// Craig S. Kaplan
// Modified by Kevin Harrigan January 2020.
//   Modifed to run in JavaScript p5.
//   The modified version opens an svg and displays it multiple times,
//   but does not save it.
// Original comment by Craig Kaplan is here.
// A demonstration of saving vector data out to a PDF.  You
// should be able to open output.pdf in, say, Illustrator and
// work with the actual paths.

let flower;

function preload() {
  flower = loadImage( "data/flower.svg" );
}

function setup() {
  createCanvas( 500, 500 );
  imageMode( CENTER );
  noStroke();
}

function draw() {

  background( 255 );
  noStroke();

  for ( let idx = 0; idx < 50; ++idx ) {
    let x = random( width );
    let y = random( height );

    let fac = random( 0.15, 0.75 );
    image( flower, x, y, flower.width * fac, flower.height * fac );
  }

  noLoop();
}
