// Craig S. Kaplan
// DisplaySVG: A simplest sketch demonstrating how to load and
// display a vector illustration in an SVG file.
// Modified for "JavaScript p5" December 2019 by Kevin Harrigan.
//   Also keyPressed function is added to change the size of the image.

let tiger;
let tWidth;
let tHeight;
let ar;

function preload() {
  tiger = loadImage("data/tiger.svg");
}

function setup() {
  // I'll just assume I know the SVG illustration is of
  // size 500x500.
  createCanvas(1000, 1000);
  // Calculate the Aspect Ratio.
  ar = tiger.width / tiger.height;
  tWidth = tiger.width;
  tHeight = tiger.height;
}

function draw() {
  background(220);
  image(tiger, 0, 0, tWidth, tHeight);
print(tWidth, tHeight, ar);
}

// Change the width of the image displayed while 
//   maintaining the Aspect Ratio.
// Note: There is no loss of quality as the image size changes.
function keyPressed() {
  if (keyCode === RIGHT_ARROW) {
    tWidth = tWidth + 20;
  } else if (keyCode === LEFT_ARROW) {
    tWidth = tWidth - 20;
  }
  tHeight = tWidth / ar;
}
