//  Kevin Harrigan, January 2020.
// Example using a sprite sheet.
//    Four decks of player cards are on a sprite sheet.
//    Playing cards are shuffled and displayed.

let img;
let spriteWidth;
let spriteHeight;
let srcX;
let srcY;
let x;
let y;
let cardsShuffled = [];

function preload() {
  img = loadImage("data/cards.png");
}

function setup() {
  createCanvas(img.width, img.height);
  background(220);
  spriteWidth = canvas.width / 16;
  spriteHeight = canvas.height / 4;

  for (let i = 0; i < 16; i++) {
    cardsShuffled[i] = i;
  }
  shuffle(cardsShuffled, true);

  for (let j = 0; j < 4; j++) {
    for (let i = 0; i < 16; i++) {

      srcX = cardsShuffled[i] * spriteWidth; 
      srcY = j * spriteHeight; 

      x = i * spriteWidth; 
      y = j * spriteHeight;

      copy(img, srcX, srcY, spriteWidth, spriteHeight, 
        x, y, spriteWidth, spriteHeight);
    }
    shuffle(cardsShuffled, true);
  }
}
