// original in "Processing" by Craig S. Kaplan.  
// Modified December 2019 for "JavaScript p5" by Kevin Harrigan.
//   Harrigan also replaced loop/noloop with boolean variable newColors.
// TintGrid: Read an image and create a 4x4 array of
// copies of the image, randomly tinted.  Use the space 
// bar to load a new set of random tints.

let titania;
let dim = 150; // I'm just going to assume the image is 150x150.
let newColors = true;

function preload() {
  titania = loadImage("data/titania150.jpg");
}

function setup() {
  createCanvas(600, 600);
}

function draw() {
  if (newColors) {
    for ( let row = 0; row < 4; ++row ) {
      for ( let col = 0; col < 4; ++col ) {
        tint( random( 255 ), random( 255 ), random( 255 ) );
        image( titania, col * dim, row * dim );
      }
    }
  }
  newColors = false;
}

function keyPressed() {
  // If you press a key, start looping for one more iteration,
  // allowing the colours to change randomly.
  newColors = true;
}
